Index: src/Actions/GlobalListOfActions.hpp
===================================================================
--- src/Actions/GlobalListOfActions.hpp	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
+++ src/Actions/GlobalListOfActions.hpp	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
@@ -76,4 +76,5 @@
   (WorldSetWorldTime) \
   (WorldSetBoundaryConditions) \
+  (WorldOutput) \
   (WorldOutputAs) \
   (WorldSetDefaultName) \
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
+++ src/Actions/Makefile.am	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
@@ -423,4 +423,5 @@
   Actions/WorldAction/ChangeBoxAction.cpp \
   Actions/WorldAction/InputAction.cpp \
+  Actions/WorldAction/OutputAction.cpp \
   Actions/WorldAction/OutputAsAction.cpp \
   Actions/WorldAction/RepeatBoxAction.cpp \
@@ -436,4 +437,5 @@
   Actions/WorldAction/ChangeBoxAction.hpp \
   Actions/WorldAction/InputAction.hpp \
+  Actions/WorldAction/OutputAction.hpp \
   Actions/WorldAction/OutputAsAction.hpp \
   Actions/WorldAction/RepeatBoxAction.hpp \
@@ -449,4 +451,5 @@
   Actions/WorldAction/ChangeBoxAction.def \
   Actions/WorldAction/InputAction.def \
+  Actions/WorldAction/OutputAction.def \
   Actions/WorldAction/OutputAsAction.def \
   Actions/WorldAction/RepeatBoxAction.def \
Index: src/Actions/WorldAction/OutputAction.cpp
===================================================================
--- src/Actions/WorldAction/OutputAction.cpp	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
+++ src/Actions/WorldAction/OutputAction.cpp	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
@@ -0,0 +1,78 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * OutputAsAction.cpp
+ *
+ *  Created on: Aug 7, 2012
+ *      Author: ankele
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Parser/FormatParserStorage.hpp"
+#include "Parser/ChangeTracker.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "World.hpp"
+
+#include <iostream>
+#include <string>
+
+#include <boost/filesystem/fstream.hpp>
+
+#include "Actions/WorldAction/OutputAction.hpp"
+
+using namespace MoleCuilder;
+
+// and construct the stuff
+#include "OutputAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+Action::state_ptr WorldOutputAction::performCall() {
+  LOG(1, "Storing world to input file.");
+
+
+  // Parser configured to save anything?
+  if (!FormatParserStorage::getInstance().isAbleToSave()){
+    ELOG(1, "No parser or file prefix selected.");
+    return Action::failure;
+  }
+
+  // Save all.
+  FormatParserStorage::getInstance().SaveAll();
+  ChangeTracker::getInstance().saveStatus();
+  return Action::success;
+}
+
+Action::state_ptr WorldOutputAction::performUndo(Action::state_ptr _state) {
+//  ParserLoadXyzState *state = assert_cast<ParserLoadXyzState*>(_state.get());
+
+  return Action::failure;
+//  string newName = state->mol->getName();
+//  state->mol->setName(state->lastName);
+//
+//  return Action::state_ptr(new ParserLoadXyzState(state->mol,newName));
+}
+
+Action::state_ptr WorldOutputAction::performRedo(Action::state_ptr _state){
+  return Action::failure;
+}
+
+bool WorldOutputAction::canUndo() {
+  return false;
+}
+
+bool WorldOutputAction::shouldUndo() {
+  return false;
+}
+/** =========== end of function ====================== */
Index: src/Actions/WorldAction/OutputAction.def
===================================================================
--- src/Actions/WorldAction/OutputAction.def	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
+++ src/Actions/WorldAction/OutputAction.def	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
@@ -0,0 +1,33 @@
+/*
+ * OutputAction.def
+ *
+ *  Created on: Aug 07, 2012
+ *      Author: ankele
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+#
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
+#undef paramtypes
+#undef paramreferences
+#undef paramtokens
+#undef paramdescriptions
+#undef paramdefaults
+
+#undef statetypes
+#undef statereferences
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY World
+#define MENUNAME "world"
+#define MENUPOSITION 7
+#define ACTIONNAME Output
+#define TOKEN "output"
+
+
+// finally the information stored in the ActionTrait specialization
+#define DESCRIPTION "write all atoms to parser files"
+#undef SHORTFORM
Index: src/Actions/WorldAction/OutputAction.hpp
===================================================================
--- src/Actions/WorldAction/OutputAction.hpp	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
+++ src/Actions/WorldAction/OutputAction.hpp	(revision 22d01e4959b19ad6db178586f85d6d19d29a7221)
@@ -0,0 +1,22 @@
+/*
+ * OutputAction.hpp
+ *
+ *  Created on: Aug 7, 2012
+ *      Author: ankele
+ */
+
+#ifndef OUTPUTACTION_HPP_
+#define OUTPUTACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include "Actions/Action.hpp"
+
+#include "OutputAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* OUTPUTACTION_HPP_ */
